# PSF-LoginServer - master - net.psforever.objects.serverobject.repair.RepairableWeaponTurret
PSF - LoginServer - master - net.psforever.objects.serverobject.repair.RepairableWeaponTurret
Keywords: PSF LoginServer master net.psforever.objects.serverobject.repair.RepairableWeaponTurret

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package repair
  Definition Classes
    serverobject
- AmenityAutoRepair
- Repairable
- RepairableAmenity
- RepairableEntity
- RepairableVehicle
- RepairableWeaponTurret

o

net.psforever.objects.serverobject.repair

# RepairableWeaponTurret 

###
Companion trait RepairableWeaponTurret

#### object RepairableWeaponTurret

Source
  RepairableWeaponTurret.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. RepairableWeaponTurret
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def Restoration(target: Target with MountedWeapons): Unit

   A restored target dispatches messages to reconstruct the weapons that were previously mounted to the turret and may have been concealed/deleted when the target was destroyed.

   A restored target dispatches messages to reconstruct the weapons that were previously mounted to the turret and may have been concealed/deleted when the target was destroyed.

   target

     the entity being destroyed; note: `MountedWeapons` is a parent of `WeaponTurret` but the handling code closely associates with the former

   See also

     `MountedWeapons`

     `MountedWeapons.Weapons`

     `Service.defaultPlayerGUID`

     `WeaponTurret`

     `VehicleAction.EquipmentInSlot`

     `VehicleServiceMessage`

     `Zone.VehicleEvents`

5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
10.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
17.  def toString(): String
    Definition Classes
      AnyRef → Any
18.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
19.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped